package eu.dnetlib.usagestats.sushilite.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by tsampikos on 31/10/2016.
 */
public class ItemPerformance {
    private Period period;
    private List<Instance> instances = new ArrayList<>();

    public ItemPerformance() {
    }

    public ItemPerformance(String start, String end, String ft_count, String abstr) {
        period = new Period(start, end);
        instances.add(new Instance("ft_total", ft_count));
        instances.add(new Instance("abstract", abstr));
    }

    @JsonProperty("Period")
    public Period getPeriod() {
        return period;
    }

    @JsonProperty("Category")
    public String getCategory() {
        return "Requests";
    }

    @JsonProperty("Instance")
    public List<Instance> getInstance() {
        return instances;
    }
}
